cbootimage(1)

NAME
cbootimage - tegra BCT compiler

SYNOPSIS
cbootimage [ options ] configfile [ inputimage ] outputimage

DESCRIPTION
This program is used to create images suitable to place into the boot flash of a device using a Tegra SoC. There are two primary modes of operation of cbootimage:

    Compile a textual representation of a BCT into a binary image.

    Generate an entire boot image from a previously compiled BCT and a bootloader binary.

  Platforms supported

•   Tegra20

•   Tegra30

•   Tegra114

•   Tegra124

•   Tegra132

•   Tegra210

COMMANDS

-gbct
    Generate the new bct file from the given config file.

-h, --help, -?
    Print help text and exit.

OPTIONS

-d, --debug
    Output debugging information.

-oodm_data
    Specify the odm_data value (in hex).

-t, --tegra NN
    Select target device. Must be one of: 20, 30, 114, 124, 132, 210.

-s, --ssoc tegraNN
    Select target device. Must be one of: tegra20, tegra30, tegra114, tegra124, tegra32, tegra210.

-u --update
    Copy input image data and update bct configs into new image file

EXAMPLES
To generate a bct file from a text description obtained either through bct_dump(1) or cbootimage-configs:
$ cbootimage -gbct -t124 PM375_Hynix_2GB_H5TC4G63AFR_RDA_924MHz.bct.cfg PM375_Hynix_2GB_H5TC4G63AFR_RDA_924MHz.bct
New BCT file PM375_Hynix_2GB_H5TC4G63AFR_RDA_924MHz.bct has been successfully generated!
To generate a boot image file including the newly generated bct:
cbootimage -t124 jetson-tk1-emmc.img.cfg jetson-tk1-emmc.img
Image file jetson-tk1-emmc.img has been successfully generated!

RETURN VALUE
If any error occurs a non zero exit status is returned.

SEE ALSO
tegrarcm(1),bct_dump(1)